Repository 32bit  Forum
Repository 64bit  Wiki

Domanda di servizio: aggiornare KDE

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Domanda di servizio: aggiornare KDE

Messaggioda Procopio » ven gen 27, 2012 22:54

Ciao a tutti! vorrei aggiornare kde alla versione 4.7.4, diciamo da questo repository: http://alien.slackbook.org/ktown/ come posso fare? inserisco l'indirizzo del mirror nel file /etc/slackpkg/mirrors e dopo di che do i comandi
Codice: Seleziona tutto
slackpkg update
slackpkg install-new
slackpkg upgrade-all
??

...questo qua è il metodo con cui aggiorno la current, posso usarlo per aggiornare anche kde?
io sostituieri momentaneamente il repos della current con quello di kde 4.7.4 (mi potete linkare l'indirizzo corretto da inserire?), effettuerei l'aggiornamento, dopo di che rimetterei il mirror della current....non mi sembra un procedimento molto "ortodosso" in più non so se possa funzionare, ma tant è... non so come aggiornare kde! è per questo che ho aperto il post! :D
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Re: Domanda di servizio: aggiornare KDE

Messaggioda miklos » sab gen 28, 2012 2:25

alienbob mette a disposizione un comodo README per i suoi pacchetti.
segui le istruzioni in calce che sono molto semplici (si tratta di scaricarti i pacchetti e lanciare un upgradepkg)
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1273
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2

Re: Domanda di servizio: aggiornare KDE

Messaggioda Procopio » sab gen 28, 2012 16:49

è normale che ci metta tanto a scaricare? io ho dato
Codice: Seleziona tutto
root@darkstar:/home/matteo# rsync -av rsync://alien.slackbook.org/alien/ktown/4.7.4 /home/matteo/kde-4.7.4/
stamattina alle 11 e non si è ancora fermato! ma è lentissimo! posso interrompere e cambiare magari repos con un altro più veloce?
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Re: Domanda di servizio: aggiornare KDE

Messaggioda erio » sab gen 28, 2012 16:52

perche scarica tutto il ramo kde, source, x86 e x86_64 piu' o meno 2,2, giga
erio
Linux 3.x
Linux 3.x
 
Messaggi: 1086
Iscritto il: ven ott 09, 2009 18:25
Slackware: 13.37
Kernel: 3.0.7
Desktop: kde

Re: Domanda di servizio: aggiornare KDE

Messaggioda miklos » sab gen 28, 2012 17:41

prova cambiando la url aggiungendo solo la tua architettura quindi rsync://alien.slackbook.org/alien/ktown/4.7.4/x86 o rsync://alien.slackbook.org/alien/ktown/4.7.4/x86_64 in base a che tu abbia una slackware a 32 o 64 bit
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1273
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2

Re: Domanda di servizio: aggiornare KDE

Messaggioda erio » sab gen 28, 2012 19:44

procopio e' fuori il kde 4.8 allo stesso indirizzo,credo messo su oggi...
erio
Linux 3.x
Linux 3.x
 
Messaggi: 1086
Iscritto il: ven ott 09, 2009 18:25
Slackware: 13.37
Kernel: 3.0.7
Desktop: kde

Re: Domanda di servizio: aggiornare KDE

Messaggioda Procopio » dom gen 29, 2012 2:17

sisi l'avevo visto, ma così, tanto per provare, volevo anche passare prima dal 4.7 :) ...nei prossimi giorni aggiornerò;)
tra l'altro leggendo qua e là pensavo di dover rinominare la directory .kde all'interno della home utente o eliminare il contenuto di /tmp/ e /var/tmp, invece, per ora, pare filae tutto liscio! ...comunque vedrò in questi giorni, per ora sembra una faigata!!;)
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Re: Domanda di servizio: aggiornare KDE

Messaggioda Procopio » dom gen 29, 2012 16:12

ho già effettuato l'aggiornamento a KDE 4.8, per ora nessun crash, e sembra che girino bene tutti i programmi, il tutto però è un po lento, io, sinceramente tengo gli effetti desktop e quant altro al massimo (kde lo uso proprio per quello, altrimenti userei xfce...)

Fino alla versione 4.7.4 comunque non avevo riscontrato alcun problema di lentezza e funzionava a meraviglia, non vorei che la 4.8 avesse quello "scalino" che il mio computer non riesce già più a coprire e che quindi non mi giri bene come le versioni prcedenti. Il mio processore è un intel core 2 duo T7100 da 1.8GHz con graphics NVIDIA GeForce 8400 GT GPU, ma come vi ripeto fino alla 4.7.4 girava benissimo.

Ad ogni modo se la situazione dovesse diventare insostenibile esiste un modo di fare un "downgrade" della versione di KDE e tornare magari alla 4.7.4 o alla 4.6.5 (che è quella che consiglia anche alienBob come versione stabile) ?

EDIT:
ho dato adesso un top, e vedo che quello che mi schiena cpu e ram è firefox che si accaparra la bellezza di 69% e 25% rispettivamente per cpu e ram..... avevo già avuto un problema analogo con slackware 13.37 quando aprivo l'editor per scrivere i messaggi qui sul forum, il pc mi si affannava tantissimo, ma poi quel problema era magicamente sparito (forse con l'upgrade alla current...) ...è solo firefox che mi schiena così il calcolatore! questo è iun problema noto, o posso sperare che sparisca da solo come ha già fatto una volta?
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Re: Domanda di servizio: aggiornare KDE

Messaggioda brg » dom gen 29, 2012 17:38

Mi sa che più che Firefox in sé è il plugin di Adobe Flash, prova a disabilitarlo e vedi un po' se è proprio lui il colpevole (comunque più plugin ha firefox più ram/cpu consuma).

P.S. io gli effetti del desktop li ho disabilati, come pure Nepomuk, preferisco le prestazioni anche se alcuni gesti del desktop sono utili. D'altra parte XFCE non lo reggo proprio...
Avatar utente
brg
Linux 2.4
Linux 2.4
 
Messaggi: 269
Iscritto il: sab mar 12, 2011 14:20
Località: Montecatini
Slackware: 14.1
Kernel: 3.10.17
Desktop: KDE4

Re: Domanda di servizio: aggiornare KDE

Messaggioda Procopio » gio apr 12, 2012 10:09

domanda: e` necessario quando scarico i pacchetti di kde scaricare anche i pacchetti a 32 bit se io uso solo quelli a 64? in oltre e` necessario anche scaricare le directory test/ e source/? (guardate qui, per intenderci)
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Re: Domanda di servizio: aggiornare KDE

Messaggioda 414N » gio apr 12, 2012 14:38

Procopio ha scritto:domanda: e` necessario quando scarico i pacchetti di kde scaricare anche i pacchetti a 32 bit se io uso solo quelli a 64? in oltre e` necessario anche scaricare le directory test/ e source/? (guardate qui, per intenderci)

  1. I pacchetti a 32 bit (che presumo useresti per creare i corrispondenti pacchetti compat32) ti servirebbero solo nel caso di qualche applicazione kde distribuita tramite il solo binario a 32 bit... Dato che tutti i sorgenti sono disponibili trovo alquanto improbabile che questi pacchetti a 32 bit possano esserti di una qualche utilità.
  2. La directory test/ contiene pacchetti riguardanti networkmanager. Se intendi utilizzarlo al posto di wicd è necessario scaricarla ;)
  3. Le directory source/ contiene i sorgenti. Se sei in vena di ricompilazioni (io li ho usati per farmi i pacchetti per la stable 13.37 a 64 bit) puoi anche scaricarli, altrimenti non importa.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2882
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Domanda di servizio: aggiornare KDE

Messaggioda Procopio » gio apr 12, 2012 15:16

peretto! grazie mille 414N!!
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux


Torna a Slackware

Chi c’è in linea

Visitano il forum: Nessuno e 4 ospiti